/*******************************************************************************
 * FoxWeaponScope_Base generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponScope_Base extends FoxWeaponModObjectBase
    abstract
    native(Weapon)
    config(Scope);

var const float SpreadZoomMultiplier;
var const float RecoilZoomMultiplier;
var const config float ZoomX;
var() export editinline MeshComponent ZoomedMesh;
var const bool bEnableTightAim;
var const config bool bEnableScope;
var const config bool bUseZoomFadeIn;
var const bool bIsIRScope;
var const config bool bSupportsAmmoCounter;
var config int ZoomFOV;
var config int MeshFOV;
var() float ZoomedRotationMultiplier;
var() float ZoomedMovementMultiplier;
var const config Vector ZoomMeshTranslation;
var const config Rotator ZoomMeshRotation;
var const config float ZoomTime;
var config PostProcessSettings ScopePPSettings;
var array<MaterialInstanceConstant> ZoomMeshMICs;
var const int LastAmmoCount;
var const name AmmoCounterParmName;

function SetupWeaponCamo(int CamoIndex)
{
    local int I;

    super.SetupWeaponCamo(CamoIndex);
    ZoomMeshMICs.Length = 0;
    // End:0xA9
    if(ZoomedMesh != none)
    {
        I = 0;
        J0x39:
        // End:0xA9 [Loop If]
        if(I < ZoomedMesh.GetNumElements())
        {
            ZoomMeshMICs.AddItem(ZoomedMesh.CreateAndSetMaterialInstanceConstant(I));
            ++ I;
            // [Loop Continue]
            goto J0x39;
        }
    }
    //return;    
}

defaultproperties
{
    ZoomX=1.30
    begin object name=WeaponScope class=StaticMeshComponent
        ReplacementPrimitive=none
        DepthPriorityGroup=ESceneDepthPriorityGroup.SDPG_Foreground
        HiddenGame=true
        bOnlyOwnerSee=true
        bIgnoreOwnerHidden=true
        bAcceptsStaticDecals=false
        bAcceptsDynamicDecals=false
        bCastDynamicShadow=false
        CollideActors=false
        BlockActors=false
        BlockZeroExtent=false
        BlockNonZeroExtent=false
        BlockRigidBody=false
        TickGroup=ETickingGroup.TG_DuringAsyncWork
    object end
    // Reference: StaticMeshComponent'Default__FoxWeaponScope_Base.WeaponScope'
    ZoomedMesh=WeaponScope
    bEnableTightAim=true
    bEnableScope=true
    bUseZoomFadeIn=true
    ZoomFOV=75
    ZoomedRotationMultiplier=0.450
    ZoomedMovementMultiplier=0.250
    ZoomMeshTranslation=(X=40.0,Y=0.0,Z=0.0)
    ZoomTime=0.1050
    ScopePPSettings=(bOverride_EnableBloom=false,bOverride_EnableDOF=true,bOverride_EnableMotionBlur=false,bOverride_EnableSceneEffect=false,bOverride_AllowAmbientOcclusion=false,bOverride_OverrideRimShaderColor=false,bOverride_Bloom_Scale=false,bOverride_Bloom_Threshold=true,bOverride_Bloom_Tint=true,bOverride_Bloom_ScreenBlendThreshold=true,bOverride_Bloom_InterpolationDuration=false,bOverride_DOF_FalloffExponent=true,bOverride_DOF_BlurKernelSize=true,bOverride_DOF_BlurBloomKernelSize=true,bOverride_DOF_MaxNearBlurAmount=true,bOverride_DOF_MinBlurAmount=false,bOverride_DOF_MaxFarBlurAmount=true,bOverride_DOF_FocusType=true,bOverride_DOF_FocusInnerRadius=true,bOverride_DOF_FocusDistance=true,bOverride_DOF_FocusPosition=true,bOverride_DOF_InterpolationDuration=true,bOverride_DOF_BokehTexture=false,bOverride_MotionBlur_MaxVelocity=false,bOverride_MotionBlur_Amount=false,bOverride_MotionBlur_FullMotionBlur=false,bOverride_MotionBlur_CameraRotationThreshold=false,bOverride_MotionBlur_CameraTranslationThreshold=false,bOverride_MotionBlur_InterpolationDuration=false,bOverride_Scene_Desaturation=false,bOverride_Scene_Colorize=false,bOverride_Scene_TonemapperScale=false,bOverride_Scene_ImageGrainScale=false,bOverride_Scene_HighLights=false,bOverride_Scene_MidTones=false,bOverride_Scene_Shadows=false,bOverride_Scene_InterpolationDuration=false,bOverride_Scene_ColorGradingLUT=false,bOverride_RimShader_Color=false,bOverride_RimShader_InterpolationDuration=false,bOverride_MobileColorGrading=false,bEnableBloom=true,bEnableDOF=true,bEnableMotionBlur=true,bEnableSceneEffect=true,bAllowAmbientOcclusion=true,bOverrideRimShaderColor=false,Bloom_Scale=1.0,Bloom_Threshold=1.0,Bloom_Tint=(R=255,G=255,B=255,A=0),Bloom_ScreenBlendThreshold=10.0,Bloom_InterpolationDuration=1.0,DOF_BlurBloomKernelSize=16.0,DOF_FalloffExponent=1.0,DOF_BlurKernelSize=6.0,DOF_MaxNearBlurAmount=0.70,DOF_MinBlurAmount=0.0,DOF_MaxFarBlurAmount=0.0,DOF_FocusType=EFocusType.FOCUS_Position,DOF_FocusInnerRadius=768.0,DOF_FocusDistance=0.0,DOF_FocusPosition=(X=0.0,Y=0.0,Z=0.0),DOF_InterpolationDuration=1.0,DOF_BokehTexture=none,MotionBlur_MaxVelocity=1.0,MotionBlur_Amount=0.50,MotionBlur_FullMotionBlur=true,MotionBlur_CameraRotationThreshold=45.0,MotionBlur_CameraTranslationThreshold=10000.0,MotionBlur_InterpolationDuration=1.0,Scene_Desaturation=0.0,Scene_Colorize=(X=1.0,Y=1.0,Z=1.0),Scene_TonemapperScale=1.0,Scene_ImageGrainScale=0.0,Scene_HighLights=(X=1.0,Y=1.0,Z=1.0),Scene_MidTones=(X=1.0,Y=1.0,Z=1.0),Scene_Shadows=(X=0.0,Y=0.0,Z=0.0),Scene_InterpolationDuration=1.0,RimShader_Color=(R=0.8277260,G=0.5859730,B=0.470440,A=1.0),RimShader_InterpolationDuration=1.0,ColorGrading_LookupTable=none,ColorGradingLUT=(LUTTextures=none,LUTWeights=none),MobileColorGrading=(TransitionTime=1.0,Blend=0.0,Desaturation=0.0,HighLights=(R=0.70,G=0.70,B=0.70,A=1.0),MidTones=(R=0.0,G=0.0,B=0.0,A=1.0),Shadows=(R=0.0,G=0.0,B=0.0,A=1.0)),MobilePostProcess=(bOverride_Mobile_BlurAmount=false,bOverride_Mobile_TransitionTime=false,bOverride_Mobile_Bloom_Scale=false,bOverride_Mobile_Bloom_Threshold=false,bOverride_Mobile_Bloom_Tint=false,bOverride_Mobile_DOF_Distance=false,bOverride_Mobile_DOF_MinRange=false,bOverride_Mobile_DOF_MaxRange=false,bOverride_Mobile_DOF_NearBlurFactor=false,bOverride_Mobile_DOF_FarBlurFactor=false,Mobile_BlurAmount=16.0,Mobile_TransitionTime=1.0,Mobile_Bloom_Scale=0.50,Mobile_Bloom_Threshold=0.750,Mobile_Bloom_Tint=(R=1.0,G=1.0,B=1.0,A=1.0),Mobile_DOF_Distance=1500.0,Mobile_DOF_MinRange=600.0,Mobile_DOF_MaxRange=1200.0,Mobile_DOF_NearBlurFactor=1.0,Mobile_DOF_FarBlurFactor=1.0))
    LastAmmoCount=-1
    AmmoCounterParmName=Count
    begin object name=NewFPMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeaponScope_Base.NewFPMesh'
    FPMesh=NewFPMesh
    begin object name=NewTPMesh class=StaticMeshComponent
        ReplacementPrimitive=none
        TickGroup=ETickingGroup.TG_DuringAsyncWork
    object end
    // Reference: StaticMeshComponent'Default__FoxWeaponScope_Base.NewTPMesh'
    TPMesh=NewTPMesh
    DescriptorName="Basic"
    PreviewRotation=(Pitch=512,Yaw=10240,Roll=0)
    WhiteRecievers(0)="FoxWeapon_SMG"
    WhiteRecievers(1)="FoxWeapon_AssaultRifle"
    WhiteRecievers(2)="FoxWeapon_SniperRifle"
    WhiteRecievers(3)="FoxWeapon_SMG"
    WhiteRecievers(4)="FoxWeapon_BKT"
    WhiteRecievers(5)="FoxWeapon_Bullpup"
    WhiteRecievers(6)="FoxWeapon_BASniper"
    WhiteRecievers(7)="FoxWeapon_9mmPistol"
    WhiteRecievers(8)="FoxWeapon_45Pistol"
    WhiteRecievers(9)="FoxWeapon_AutoPistol"
    WhiteRecievers(10)="FoxWeapon_Revolver"
    WhiteRecievers(11)="FoxWeapon_MachinePistol"
    WhiteRecievers(12)="FoxWeapon_Shotgun"
    WhiteRecievers(13)="FoxWeapon_Revolver"
    WhiteRecievers(14)="FoxWeapon_AR2"
    WhiteRecievers(15)="FoxWeapon_RBKT"
    WhiteRecievers(16)="FoxWeapon_SMG2"
    WhiteRecievers(17)="FoxWeapon_SMGi"
    WhiteRecievers(18)="FoxWeapon_DartGun"
    WhiteRecievers(19)="FoxWeapon_AutoShotgun"
    WhiteRecievers(20)="FoxWeapon_HeavySniper"
    WhiteRecievers(21)="FoxWeapon_Bullpup2"
    WhiteRecievers(22)="FoxWeapon_M4"
    WhiteRecievers(23)="FoxWeapon_AK47"
    WhiteRecievers(24)="FoxWeapon_AR3"
    WhiteRecievers(25)="FoxWeapon_SniperRifle2"
    WhiteRecievers(26)="FoxWeapon_GoldAssaultRifle"
    WhiteRecievers(27)="FoxWeapon_Gold9mmPistol"
}